import 'package:guru_app/property/app_property.dart';
import 'package:guru_app/property/property_keys.dart';
import 'package:guru_utils/audio/audio_effector.dart';
import 'package:guru_utils/datetime/datetime_utils.dart';
import 'package:guru_utils/log/log.dart';
import 'package:guru_utils/property/runtime_property.dart';
import 'package:guru_utils/settings/settings.dart';
import 'package:guru_utils/vibration/vibrate_model.dart';
import 'package:package_info_plus/package_info_plus.dart';

export 'package:guru_utils/settings/settings.dart';

/// Created by Haoyi on 2022/9/1
///
part 'global_settings.dart';

class GuruSettings extends Settings with GlobalSettings {
  static final GuruSettings instance = GuruSettings._();

  GuruSettings._();

  @override
  Future<PropertyBundle> refresh() async {
    final bundle = await super.refresh();
    return bundle;
  }
}
